curl --request GET \
--url https://api.smokeball.com/matters/{matterId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"externalSystemId": "EXT01",
"versionId": "637771038395217729",
"number": "FUS-124",
"title": "AM-0323-0005 - Smith - Sale - Jones",
"matterType": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"clients": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"otherSides": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"description": "This is a brief description for the matter",
"status": "Open",
"personResponsible": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"personAssisting": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"personAssistingStaffs": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"originatingStaff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"originatingStaffs": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"splitOriginatingStaffSettings": {
"isEnabled": true,
"splitMatterStaffs": [
{
"matterStaffId": "<string>",
"matterStaffRatio": 123
}
],
"splitMethod": "<string>",
"remainderStaffId": "<string>"
},
"supervisor": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"clientCode": "Client A",
"openedDate": "2022-04-23T14:00:00Z",
"closedDate": "2022-04-23T14:00:00Z",
"leadOpenedDate": "2022-04-23T14:00:00Z",
"leadClosedDate": "2022-04-23T14:00:00Z",
"leadClosedReason": "No longer interested",
"isLead": false,
"branch": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"branchProviderId": "Smokeball",
"referralType": "<string>",
"referrer": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"referralAgreementFeeType": "<string>",
"referralAgreementFee": 123,
"referralAgreementFeeComment": "<string>",
"items": {},
"tags": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "a15086f5-4da7-4271-8fea-b24d479ced2b",
"type": "Staff",
"name": "",
"color": "Light Blue",
"staff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get a matter
Retrieves a specified matter.
Path Parameters
Response
When request is successful. Returns a 'Matter' object.
Show child attributes
Show child attributes
Unique identifier of the matter.
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
External system id for the matter.
"EXT01"
Version id of the record. This can be used in the UpdatedSince query parameter.
"637771038395217729"
Human-friendly number assigned to matter.
"FUS-124"
Title of the matter.
"AM-0323-0005 - Smith - Sale - Jones"
Hypermedia link of the associated matter type.
Show child attributes
Show child attributes
List of hypermedia links of 'Client' contacts associated with the matter.
Show child attributes
Show child attributes
List of hypermedia links of 'OtherSide' contacts associated with the matter.
Show child attributes
Show child attributes
Brief description of the matter.
"This is a brief description for the matter"
Current status of the matter.
Possible values: Open, Pending, Closed, Deleted or Cancelled.
"Open"
Hypermedia link of the person responsible for the matter (if applicable).
Show child attributes
Show child attributes
Hypermedia link of the person assisting in the matter (if applicable).
Show child attributes
Show child attributes
List of hypermedia links of additional person assisting staff members associated with the matter.
Show child attributes
Show child attributes
Hypermedia link of the originating attorney (if in US) or introducer (if in AU) of the matter.
Show child attributes
Show child attributes
List of hypermedia links of additional originating (if in US) or introducer (if in AU) staff members associated with the matter.
Show child attributes
Show child attributes
Settings for splitting originating staff members on a matter.
Show child attributes
Show child attributes
Hypermedia link of the supervisor of the matter.
Only supported in the UK.
Show child attributes
Show child attributes
Associates an external client code to this matter.
Only supported in AU and UK.
"Client A"
Date the matter was opened.
"2022-04-23T14:00:00Z"
Date the matter was closed.
"2022-04-23T14:00:00Z"
Date the lead was opened.
Only applies if isLead is true.
"2022-04-23T14:00:00Z"
Date the lead was closed.
Only applies if isLead is true.
"2022-04-23T14:00:00Z"
Reason the lead was closed.
Only applies if isLead is true.
"No longer interested"
Boolean flag indicating if the matter is a lead.
false
Hypermedia link of the associated branch.
Show child attributes
Show child attributes
Unique identifier of the associated branch provider.
"Smokeball"
The referral type of the matter.
The referrer contact of the matter.
Show child attributes
Show child attributes
The referral agreement fee type.
The referral agreement fee value.
The referral agreement fee comment.
Items associated with the matter.
Show child attributes
Show child attributes
Tags associated with the matter.
Show child attributes
Show child attributes